{
    onPreStart(pokemon) {
        this.add('-ability', pokemon, 'Unnerve');
        this.effectState.unnerved = true;
    },
    onStart(pokemon) {
        if (this.effectState.unnerved) return;
        this.add('-ability', pokemon, 'Unnerve');
        this.effectState.unnerved = true;
    },
    onEnd() {
        this.effectState.unnerved = false;
    },
    onFoeTryHeal(damage, target, source, effect) {
        if (effect && effect.id === 'leftovers') {
            return 0;
        }
    },
    onFoeTryEatItem() {
        return !this.effectState.unnerved;
    },
    flags: {},
    name: "Unnerve",
    rating: 1,
    num: 127,
}
